---
updatedAt: 2026-09-07T11:13:38.000Z
agentTools:
  projectIndex: https://docs.nacelle.com/llms.txt
---

# Update an address

This will update an address based on the input parameters.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "The Order Management API is used to manage orders in the Nacelle Order Management System. This API is currently experimental and is subject to change.\n",
    "title": "Order Management API (Experimental)",
    "version": "0.1.0"
  },
  "paths": {
    "/addresses/{nacelle-address-id}": {
      "patch": {
        "description": "This will update an address based on the input parameters.",
        "operationId": "updateAddress",
        "parameters": [
          {
            "in": "header",
            "name": "X-Nacelle-Space-ID",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "nacelle-address-id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AddressUpdate"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/200"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "429": {
            "$ref": "#/components/responses/429"
          },
          "500": {
            "$ref": "#/components/responses/500"
          }
        },
        "summary": "Update an address",
        "tags": [
          "addresses"
        ]
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "servers": [
    {
      "url": "https://noms.api.nacelle.com/api/v1"
    }
  ],
  "components": {
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UpdateResponse"
            }
          }
        }
      },
      "400": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "403": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "429": {
        "description": "Rate Limit Exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "500": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://authimilate.api.nacelle.com/v1/token",
            "scopes": {
              "read": "Grants read access",
              "write": "Grants write access"
            }
          }
        }
      }
    },
    "schemas": {
      "AddressUpdate": {
        "properties": {
          "address1": {
            "description": "The first line of the address.",
            "example": "1234 Elm St",
            "maximum": 500,
            "minimum": 1,
            "type": "string",
            "x-go-name": "Address1"
          },
          "address2": {
            "description": "The second line of the address.",
            "example": "Apt 567",
            "maximum": 500,
            "minimum": 1,
            "type": "string",
            "x-go-name": "Address2"
          },
          "city": {
            "description": "The city of the address.",
            "example": "San Francisco",
            "maximum": 100,
            "minimum": 1,
            "type": "string",
            "x-go-name": "City"
          },
          "comment": {
            "description": "Additional comments about the address.",
            "example": "Please leave the package at the door.",
            "maximum": 1000,
            "minimum": 1,
            "type": "string",
            "x-go-name": "Comment"
          },
          "country_iso2": {
            "description": "The ISO 2-letter country code.",
            "example": "US",
            "type": "string",
            "x-go-name": "CountryIso2"
          },
          "first_name": {
            "description": "First name",
            "example": "John",
            "maximum": 100,
            "minimum": 1,
            "type": "string",
            "x-go-name": "FirstName"
          },
          "id": {
            "description": "Unique identifier for the address.",
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "format": "uuid",
            "type": "string",
            "x-go-name": "ID"
          },
          "last_name": {
            "description": "Last name",
            "example": "Doe",
            "maximum": 100,
            "minimum": 1,
            "type": "string",
            "x-go-name": "LastName"
          },
          "merchant_modified_at": {
            "description": "Merchant Specified Timestamp of the last modification to the Address.\nDiffers from ModifiedAt which is autogenerated.",
            "example": "2023-01-10T14:48:00Z",
            "format": "date-time",
            "type": "string",
            "x-go-name": "MerchantModifiedAt"
          },
          "postal_code": {
            "description": "The postal code.",
            "example": "94107",
            "maximum": 20,
            "minimum": 4,
            "type": "string",
            "x-go-name": "PostalCode"
          },
          "province": {
            "description": "The province of the address.",
            "example": "CA",
            "maximum": 100,
            "minimum": 1,
            "type": "string",
            "x-go-name": "Province"
          },
          "state": {
            "description": "The state of the address.",
            "example": "CA",
            "maximum": 100,
            "minimum": 1,
            "type": "string",
            "x-go-name": "State"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "x-go-package": "github.com/getnacelle/noms/docs"
      },
      "UpdateResponse": {
        "description": "UpdaterResponse represents the response returned after a successful update operation",
        "type": "object",
        "x-go-name": "UpdaterResponse",
        "x-go-package": "github.com/getnacelle/noms/services/oingest/internal/httpapp/shared"
      },
      "error": {
        "properties": {
          "code": {
            "description": "A numeric error code.",
            "type": "integer"
          },
          "message": {
            "description": "A description of the reason for the error.",
            "type": "string"
          }
        },
        "type": "object"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```